org.hibernate.search.elasticsearch.schema.impl

## Class Elasticsearch52SchemaTranslator

- java.lang.Object
- - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaTranslator
  - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaTranslator
    - - org.hibernate.search.elasticsearch.schema.impl.Elasticsearch52SchemaTranslator

- All Implemented Interfaces:
    ElasticsearchSchemaTranslator

      public class Elasticsearch52SchemaTranslator
      extends Elasticsearch50SchemaTranslator

  An `ElasticsearchSchemaTranslator` implementation for Elasticsearch 5.2.
  Author:
    Yoann Rodiere

- - ### Property Summary

    - ### Properties inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaTranslator

      `generateTenantIdProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch52SchemaTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addAnalyzerOptions(PropertyMapping propertyMapping, org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder, ElasticsearchIndexSettingsBuilder settingsBuilder, String propertyPath, Field.Index index, AnalyzerReference analyzerReference)`
    `protected DataType` | `getStringType(String propertyPath, Field.Index index, AnalyzerReference analyzerReference)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch50SchemaTranslator

      `addIndexOptions, addSubfieldIndexOptions, generateTenantIdProperty, isTextDataType`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.schema.impl.Elasticsearch2SchemaTranslator

      `translate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch52SchemaTranslator

          public Elasticsearch52SchemaTranslator()

  - ### Method Detail

    - #### addAnalyzerOptions

          protected void addAnalyzerOptions(PropertyMapping propertyMapping,
                                            org.hibernate.search.elasticsearch.schema.impl.ElasticsearchMappingBuilder mappingBuilder,
                                            ElasticsearchIndexSettingsBuilder settingsBuilder,
                                            String propertyPath,
                                            Field.Index index,
                                            AnalyzerReference analyzerReference)

      Overrides:
        `addAnalyzerOptions` in class `Elasticsearch50SchemaTranslator`

    - #### getStringType

          protected DataType getStringType(String propertyPath,
                                           Field.Index index,
                                           AnalyzerReference analyzerReference)

      Overrides:
        `getStringType` in class `Elasticsearch50SchemaTranslator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved